Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03) - no sound

Bug #130559 reported by smyrman on 2007-08-06
106
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux-backports-modules-2.6.22 (Ubuntu)
Medium
Ubuntu Audio Team
Nominated for Jaunty by André Gondim
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned
Nominated for Jaunty by André Gondim

Bug Description

To put it simple:
There are no sound. (needer speakers nor headphones)
mic not tested

The computer is a laptop (znote 6625WD) with an Intel Corporation "SantaRosa"-card, and has an Intel Core 2 Duo prosessor

"lspci | grep -i audio" gives:
"00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)"
Distrobution is Ubuntu 7.10 Gutsy Gibbon Tribe 3

There was also no sound under Feisty

Edit:
Using good earplugs, and playing a high freaqence sound (like the test sound under System>Preferances>Sound), and having the volume on max, I can bearly hear the sound.. so.. system seams to be mystically muted?

description: updated
description: updated
smyrman (smyrman) on 2007-08-06
description: updated
Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Could you please add the output requested in the Reporting Sound Bugs section of https://help.ubuntu.com/community/DebuggingSoundProblems as separate attachments? Thanks in advance.

Paul Dufresne (paulduf) wrote :

For me too, sound was low on an ASUS P5GZ-MX.
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
I had to bought a cheap audio amplifier for sound to be loud enough.
But I was earing it, although low volume before.
I note that my audio amplifier have 4 ohm impedance, and earplug generally have 32 ohms I think.

I also see that my amixer file have more information than yours.

Paul Dufresne (paulduf) wrote :

Bug #129959 is similar but on ICH6.

festuc (festuc) wrote :

I have same bug in my santa rosa new notebook, i'm trying ubunyu 7.10
my 5 cents...
lspci |grep Audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
i have a acer 6292

festuc (festuc) wrote :
Download full text (13.8 KiB)

i follow instruccionts of https://help.ubuntu.com/community/DebuggingSoundProblems
Checking volume levels from command line

(all Ubuntu versions)

   1.

      Open a terminal window
   2.

      Launch alsamixer
   3.

      Make sure sound is unmuted and that the volume is turned up. Unmute everything. Sometimes a muted channel will be the problem, even if the description doesn't seem immediately relevant.

all good
(...)
cat /proc/asound/cards
only one card...
[festuc@sonica ~]$ cat /proc/asound/cards
 0 [Intel ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xf0500000 irq 23
Make sure that all users needing access to the Sound Device are members of the audio group (System->Administration->Users and Groups)
yes i do, and y try to reproduce sounds whit root acount...

#

#

Test different "Sound Servers": Go to System > Preferences > Sound ("Multimedia Systems Selector" in earlier editions of Ubuntu). From there, you can test the different options. In some scenarios several different sound servers may be installed, and only one may work. This is probably the origin of the problem if you cannot play audio with xine or rhythmbox, but you can with xmms or helix/realplayer.
Any of these works
    *

      If you have no sound and you have a regular sound card type "lsmod | grep snd" in the terminal and see if there is more than one card listed. It's possible that you have a motherboard sound chip that is interfering. Add it to the bottom of the blacklist file. For example, sudo nano /etc/modprobe.d/blacklist then add "blacklist snd_via82xx" to the bottom.

it seems i only have one (is a notebook) and modules whit snd are snd_hda_intel, and software ouputs, no?

lsmod | grep snd
snd_pcm_oss 38912 0
snd_mixer_oss 14784 1 snd_pcm_oss
snd_hda_intel 257272 1
snd_pcm 69828 2 snd_pcm_oss,snd_hda_intel
snd_timer 19556 1 snd_pcm
snd 44836 7 snd_pcm_oss,snd_mixer_oss,snd_hda_intel,snd_pcm,snd_timer
soundcore 6624 1 snd
snd_page_alloc 8200 2 snd_hda_intel,snd_pcm

[root@sonica festuc]# aplay --list-devices
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: HDA Generic [HDA Generic]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 6: Si3054 Modem [Si3054 Modem]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

-----------------------

My lspci:

-----------------------

[root@sonica festuc]# lspci -v
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
        Subsystem: Acer Incorporated [ALI] Unknown device 011b
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03) (prog-if 00 [VGA])
        Subsystem: Acer Incorporated [ALI] Unknown device 011b
        Flags: bus master, fast devsel, latency 0, IRQ 19
        Memory at f0000000 (64-bit, non-prefetchable) [size=1M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 1800 [size=8]
 ...

Brian Murray (brian-murray) wrote :

There is a newer version of the kernel available now and I was wondering if this had any affect on this bug.

Hi.. New kernel just downloaded. Some alternatives dissepears from the
grapical gnome audio controller (the mystical "off-hock" for instance), but
the sound still does not work. I will try to get the time to fetch you the
outputs you need in the weekend.

2007/8/24, Brian Murray <email address hidden>:
>
> There is a newer version of the kernel available now and I was wondering
> if this had any affect on this bug.
>
> --
> Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03) - no
> sound
> https://bugs.launchpad.net/bugs/130559
> You received this bug notification because you are a direct subscriber
> of the bug.
>

festuc (festuc) wrote :

i just aptupdate my box, but not new kernel was abiable, in my post i'm
using
umane -a
Linux festuc 2.6.22-9-generic #1 SMP Fri Aug 3 00:50:37 GMT 2007 i686
GNU/Linux

i have off-hock for now,

I wait for instrucctions, and wait for a new kernel :)
Thank's
Eduard

festuc (festuc) wrote :

Sorry, mirror isn't up to date, for now, i need wait for some others
packages, and, after i can update my kernel

Thank's
Eduard

festuc (festuc) wrote :

Now, my kernel has 22.10 and like smyrman it has dissepears, like
off-hock... but no sound has made...
In Mandriva cooker doesn't work, its seems a alsa bug?

2007/8/24, Eduard <email address hidden>:
>
> Sorry, mirror isn't up to date, for now, i need wait for some others
> packages, and, after i can update my kernel
>
>
> Thank's
> Eduard
>

--
Eduard Vidal i Tulsà.

smyrman (smyrman) wrote :

Getting more otput prove to be inpossible at this point.. The laptop will
not boot from extern cd-rom anymore - wird stuff. internal cd-rom does not
work on linux (never has - some kind of HD cd-rom - doesn't work propperly
on win-vista neither - works from the bios though..). Installed linux will
not boot. (tryes to find a resume image) - think I had one unsafe "shut
down" there.. sorry.. I'l tell u when it's up again (if it gets up again)..

2007/8/24, festuc <email address hidden>:
>
> Now, my kernel has 22.10 and like smyrman it has dissepears, like
> off-hock... but no sound has made...
> In Mandriva cooker doesn't work, its seems a alsa bug?
>
>
> 2007/8/24, Eduard <email address hidden>:
> >
> > Sorry, mirror isn't up to date, for now, i need wait for some others
> > packages, and, after i can update my kernel
> >
> >
> > Thank's
> > Eduard
> >
>
>
> --
> Eduard Vidal i Tulsà.
>
> --
> Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03) - no
> sound
> https://bugs.launchpad.net/bugs/130559
> You received this bug notification because you are a direct subscriber
> of the bug.
>

. (asfg-deactivatedaccount) wrote :

No sound with kernel 2.6.22-10-generic on gutsy.
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

Changed in linux-source-2.6.22:
assignee: brian-murray → ubuntu-audio
importance: Undecided → Medium
status: Incomplete → Triaged
Helder Ribeiro (obvio171) wrote :

I have a similar problem, the difference is that the sound does work fine from the built-in speakers, but they won't come out of the headphone jack. I haven't tested the mic yet. The machine is a Sony Vaio VGN-FZ150E laptop.

WarrenTurkal (wturkal) wrote :

The module for the hda (snd-hda-intel) has an option called model that allows you to specify a model name. The model name alters what ports are enabled and how they work on the board. If you can find the right model to give the module, the module source can be patched to fix the issue. Unfortunately, you have to pour through the module's source code and find the different models.

$ modinfo snd-hda-intel
...
parm: model:Use the given board model. (charp)
...

There was a developer on the #alsa irc channel on Freenode that helped me with a similar issue. He even submitted the patch after tracking down the issue. He worked at a university in Europe, I think. Maybe you should go to #alsa and see if anyone can help you find the proper model and help you get a patch.

Nick B. (futurepilot) wrote :

Confirming with kernel 2.6.22-11 on a HP dv6500t
Still no sound

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
        Subsystem: Hewlett-Packard Company Unknown device 30cc
        Flags: bus master, fast devsel, latency 0, IRQ 23
        Memory at f8500000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
I had to compile the latest version of ALSA with a patch I found
https://bugtrack.alsa-project.org/alsa-bug/file_download.php?file_id=2057&type=bug
added the files to /usr/src/alsa/alsa-driver-1.0.14/pci/hda/ and configured ALSA with --with-cards=hda-intel
Then added options snd-hda-intel model=toshiba to the end of /etc/modprobe.d/alsa-base
I've heard a lot of people have had luck with that patch, so why isn't it in ALSA?

yannux (yannux) wrote :

Having this card on an Asus w7s with Kubuntu Gusty 2.6.22-11-generic, I need to change Kmix master channel to channel named "Front" to control volume and muting with it.

lspci :
        00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

lspci -v :
        00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
        Subsystem: ASUSTeK Computer Inc. Unknown device 12e2
        Flags: bus master, fast devsel, latency 0, IRQ 23
        Memory at febf8000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
        Capabilities: [70] Express Unknown type IRQ 0

MartinR (martinrandau) wrote :

I have a Zepto Znote 3415, with this soundcard, and no sound. Using "good" headphones does not let me hear anything, otherwise the outputs are as above (for festuc). I have a santa rosa processor with the intel chipset, just like festuc.

I'm willing to give outputs and to help in any way.

johny (johny454) wrote :

On my machine which is an ACER 5920G laptop everything works fine - I've got the appropriate module installed in the system (snd -hda -intel)
However, there's a trap in this - Sound works perfectly but only with external speakers or headphones plugged in, otherwise the system seems to be rather muted, but no channel is.

My Specs -

Distributor ID: Ubuntu
Description: Ubuntu 7.04
Release: 7.04
Codename: feisty

Linux oko-laptop 2.6.20-16-386 #2 Fri Aug 31 00:51:58 UTC 2007 i686 GNU/Linux

oko@oko-laptop:~$ modinfo snd-hda-intel
filename: /lib/modules/2.6.20-16-386/kernel/sound/pci/hda/snd-hda-intel.ko
description: Intel HDA driver
license: GPL
srcversion: A3552B2DF3A932D88FFC00C
alias: pci:v000010DEd0000055Dsv*sd*bc*sc*i*
alias: pci:v000010DEd0000055Csv*sd*bc*sc*i*
alias: pci:v000010DEd0000044Bsv*sd*bc*sc*i*
alias: pci:v000010DEd0000044Asv*sd*bc*sc*i*
alias: pci:v000010DEd000003F0sv*sd*bc*sc*i*
alias: pci:v000010DEd000003E4sv*sd*bc*sc*i*
alias: pci:v000010DEd00000371sv*sd*bc*sc*i*
alias: pci:v000010DEd0000026Csv*sd*bc*sc*i*
alias: pci:v000010B9d00005461sv*sd*bc*sc*i*
alias: pci:v00001039d00007502sv*sd*bc*sc*i*
alias: pci:v00001106d00003288sv*sd*bc*sc*i*
alias: pci:v00001002d00007919sv*sd*bc*sc*i*
alias: pci:v00001002d0000793Bsv*sd*bc*sc*i*
alias: pci:v00001002d00004383sv*sd*bc*sc*i*
alias: pci:v00001002d0000437Bsv*sd*bc*sc*i*
alias: pci:v00008086d0000293Fsv*sd*bc*sc*i*
alias: pci:v00008086d0000293Esv*sd*bc*sc*i*
alias: pci:v00008086d0000284Bsv*sd*bc*sc*i*
alias: pci:v00008086d0000269Asv*sd*bc*sc*i*
alias: pci:v00008086d000027D8sv*sd*bc*sc*i*
alias: pci:v00008086d00002668sv*sd*bc*sc*i*
depends: snd-pcm,snd-page-alloc,snd-hda-codec,snd
vermagic: 2.6.20-16-386 mod_unload 486
parm: index:Index value for Intel HD audio interface. (int)
parm: id:ID string for Intel HD audio interface. (charp)
parm: model:Use the given board model. (charp)
parm: position_fix:Fix DMA pointer (0 = auto, 1 = none, 2 = POSBUF, 3 = FIFO size). (int)
parm: probe_mask:Bitmask to probe codecs (default = -1). (int)
parm: single_cmd:Use single command to communicate with codecs (for debugging only). (bool)
parm: enable_msi:Enable Message Signaled Interrupt (MSI) (int)
parm: enable:bool

oko@oko-laptop:~$ sudo lshw |grep -i Audio
Password:
             description: Audio device
             product: 82801H (ICH8 Family) HD Audio Controller

oko@oko-laptop:~$ aplay --list-devices
**** Lista PLAYBACK urządzeń ****
karta 0: Intel [HDA Intel], urządzenie 0: ALC883 Analog [ALC883 Analog]
  Urządzenia podrzędne: 0/1
  Urządzenie podrzędne #0: subdevice #0

. (asfg-deactivatedaccount) wrote :

Looks like it might be fixed in the HG (developers)-tree.
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3343
http://hg.alsa-project.org/

filippo colombo (thelion85) wrote :

No sound with kernel 2.6.22-12-generic on kubuntu gutsy.
Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

nandemonai (junin-toiro) wrote :

Audio Device no longer picked up after kernel upgrade.

Ubuntu Gutsy: Linux 2.6.22-12-386 #1 Thu Sep 20 18:17:40 GMT 2007 i686 GNU/Linux
Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

(Works fine in Feisty and previous Gutsy kernels, bar extremly bad distortion without droping the audio volume immensly hence having to crank my amp a lot higer than it should be. Works fine in Windows of course.)

Olivier Guéry (nemolivier) wrote :

Same card here (rev 02, not rev03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
Gusty with linux 2.6.22-12-generic
No card found.
Compiling the alsa drivers like said in the post #305 in this thread : http://ubuntuforums.org/showthread.php?p=3412671#post3412671 give me sound. But with the headphone bug (the speakers can’t mute when I plug headphone).

nandemonai (junin-toiro) wrote :

Just an odd update on my account. After a few more updates today (kernel included, being the same version which I thought was a little odd..?) I've realised that the system has gone ahead and installed Linux 2.6.22-12-386 AND Linux 2.6.22-12-generic kernels. Previously all I had was generic not the 386 version but for some reason the system has decided to choose 386 on it's own and set it to default. (Not sure what the differance is myself as I had assumed 'generic' was the 386 version). I'm running a Core 2 Duo E6400, Asus P5B Main board.

The interesting thing in relation to the Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02) is that If I run the generic kernel it works fine like it was previously yet under the 386 kernel 'no audio device found' (2.6.22-12).

So for now I'm just booting generic and all is good. Hope this information is of some use. If the deities above require any extra info my end feel free to email me or what not.

Olivier Guéry (nemolivier) wrote :

2007/9/24, nandemonai <email address hidden>:
>
> Just an odd update on my account. After a few more updates today (kernel
> included, being the same version which I thought was a little odd..?)
> I've realised that the system has gone ahead and installed Linux
> 2.6.22-12-386 AND Linux 2.6.22-12-generic kernels. Previously all I had
> was generic not the 386 version but for some reason the system has
> decided to choose 386 on it's own and set it to default. (Not sure what
> the differance is myself as I had assumed 'generic' was the 386
> version). I'm running a Core 2 Duo E6400, Asus P5B Main board.
>
> The interesting thing in relation to the Audio device: Intel Corporation
> 82801H (ICH8 Family) HD Audio Controller (rev 02) is that If I run the
> generic kernel it works fine like it was previously yet under the 386
> kernel 'no audio device found' (2.6.22-12).
>
> So for now I'm just booting generic and all is good. Hope this
> information is of some use. If the deities above require any extra info
> my end feel free to email me or what not.
>
> --
> Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03) - no
> sound
> https://bugs.launchpad.net/bugs/130559
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>
Thank's for your answer.
I always run the « generic » kernel the « i386 » is not install. But it's a
fresh install of ubuntu. Here it's a core2 too, but on a Dell inspiron 1520
It's strange that with the same card yours work and not mine :o(

Do you have something like this : options snd-hda-intel model=3stack in
/etc/modprobe.d/alsa-base ?

Must I post this info on lauchpad or only when I find the solution ?

Olivier.

--
Olivier <email address hidden>

Lee Connell (lee-a-connell) wrote :

I have rev 2 of this card and had the same problem when using i386 kernel somehow that got installed, when using generic it is just fine. However it's got quite a bit of crackling/distortion and seems like sound capture doesn't work.

. (asfg-deactivatedaccount) wrote :

Compiling manually, and patching with the patch from the alsa bugtracker, and specifying a model to the module, works for me.
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

Fernanda Weiden (fernanda) wrote :

Just to register. I also just installed ubuntu-7.10-beta-desktop-i386.iso, and I have no sound, no headphone, no mic.

My sound card is:
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

and I am running kernel 2.6.22-generic.

Mathieu Marquer (slasher-fun) wrote :

Same for me (Dell Vostro 1500, Ubuntu 7.10 beta)
Sound card : 00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
Opening alsamixer : alsamixer: function snd_ctl_open failed for default: No such device

Download full text (8.6 KiB)

I am also getting no sound in Gutsy Beta with this sound card. alsamixer has three channels: master, caller-ID and off-hook.

The snd_hda_intel module is loaded.

jeremy@sabocat:~$ aplay --list-devices
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: HDA Generic [HDA Generic]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 6: Si3054 Modem [Si3054 Modem]
  Subdevices: 1/1

jeremy@sabocat:~$ modinfo snd-hda-intel
filename: /lib/modules/2.6.22-12-generic/ubuntu/media/snd-hda-intel/snd-hda-intel.ko
description: Intel HDA driver
license: GPL
srcversion: E3CC24673777E5B995F4ADF
alias: pci:v000010DEd0000055Dsv*sd*bc*sc*i*
alias: pci:v000010DEd0000055Csv*sd*bc*sc*i*
alias: pci:v000010DEd0000044Bsv*sd*bc*sc*i*
alias: pci:v000010DEd0000044Asv*sd*bc*sc*i*
alias: pci:v000010DEd000003F0sv*sd*bc*sc*i*
alias: pci:v000010DEd000003E4sv*sd*bc*sc*i*
alias: pci:v000010DEd00000371sv*sd*bc*sc*i*
alias: pci:v000010DEd0000026Csv*sd*bc*sc*i*
alias: pci:v000010B9d00005461sv*sd*bc*sc*i*
alias: pci:v00001039d00007502sv*sd*bc*sc*i*
alias: pci:v00001106d00003288sv*sd*bc*sc*i*
alias: pci:v00001002d0000AA00sv*sd*bc*sc*i*
alias: pci:v00001002d0000960Csv*sd*bc*sc*i*
alias: pci:v00001002d00007919sv*sd*bc*sc*i*
alias: pci:v00001002d0000793Bsv*sd*bc*sc*i*
alias: pci:v00001002d00004383sv*sd*bc*sc*i*
alias: pci:v00001002d0000437Bsv*sd*bc*sc*i*
alias: pci:v00008086d0000811Bsv*sd*bc*sc*i*
alias: pci:v00008086d0000293Fsv*sd*bc*sc*i*
alias: pci:v00008086d0000293Esv*sd*bc*sc*i*
alias: pci:v00008086d0000284Bsv*sd*bc*sc*i*
alias: pci:v00008086d0000269Asv*sd*bc*sc*i*
alias: pci:v00008086d000027D8sv*sd*bc*sc*i*
alias: pci:v00008086d00002668sv*sd*bc*sc*i*
depends: snd-pcm,snd-page-alloc,snd
vermagic: 2.6.22-12-generic SMP mod_unload 586
parm: index:Index value for Intel HD audio interface. (int)
parm: id:ID string for Intel HD audio interface. (charp)
parm: model:Use the given board model. (charp)
parm: position_fix:Fix DMA pointer (0 = auto, 1 = none, 2 = POSBUF, 3 = FIFO size). (int)
parm: probe_mask:Bitmask to probe codecs (default = -1). (int)
parm: single_cmd:Use single command to communicate with codecs (for debugging only). (bool)
parm: enable_msi:Enable Message Signaled Interrupt (MSI) (int)
parm: enable:bool

jeremy@sabocat:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Contoller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EH...

Read more...

Claus Frein (cfrein) wrote :

No soundcard detected on Dell Latitude D830 with a fresh install of Gutsy Beta. Feisty works out of the box.

temp@gutsy:/etc/apt$ uname -r
2.6.22-12-generic
temp@gutsy:/etc/apt$ lspci|grep -i audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
temp@gutsy:/etc/apt$ lsmod|grep hda_intel
snd_hda_intel 263712 0
snd_pcm 80388 2 snd_hda_intel,snd_pcm_oss
snd 54660 9 snd_hda_intel,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
snd_page_alloc 10888 2 snd_hda_intel,snd_pcm
temp@gutsy:/etc/apt$ cat /proc/asound/cards
--- no soundcards ---

Roger E Critchlow Jr (rec) wrote :

I confirm that this bug still exists in 2.6.22-13 on a dell latitude d630.

I also confirm that it can still be cured by getting ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.15rc3.tar.bz2, unpacking, and running configure && make && sudo make install. (You will need to have kernel headers and development packages installed.)

But there's a catch: the ubuntu distribution is putting the snd-hda-intel.ko module in /lib/modules/2.6.22-13-generic/ubuntu/media/snd-hda-intel/snd-hda-intel.ko while the alsa-driver puts the module in /lib/modules/2.6.22-13-generic/kernel/sound/pci/hda/snd-hda-intel.ko, so the "make install" installs the correct module but the old module is still there. So, the first reboot still fails and generates a large number of symbol mismatch errors in kern.log.

Further to confuse the issue, when you copy the correct module over the old module, or simply delete the old module, the module dependencies are still referring to the old version of snd-hda-intel.ko, so the next reboot still fails and reports that snd_hda_intel failed to load the symbol snd_hwdep_new. Go back and rerun the "sudo make install" to get the right dependencies computed.

Better, remove the old version of snd-hda-intel.ko before you install the recompiled alsa drivers and you should be good at the first reboot.

I did not need to specify any module options for snd_hda_intel to work.

-- rec --

Dario Freddi (drf54321) wrote :

Guys, same card, I solved everything by installing realtek's audio drivers ( http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=14&PFid=23&Level=4&Conn=3&DownTypeID=3&GetDown=false ), using latest alsa release instead of the one shipped with realtek's package. hope this helps.

Dan Kegel (dank) wrote :

I have the same problem (audio playback very quiet)
on my Thinkpad X60. First, I made sure the mic was enabled per
http://ubuntu.wordpress.com/2005/12/05/fixing-the-errant-microphone/
Then I fired up audacity and recorded a test phrase.
It showed up loud and clear, but when I clicked play,
it played back far too quietly.

dank@dank-laptop:~$ aplay --list-devices
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: AD198x Digital [AD198x Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Charles E. Boston (ebozzz) wrote :

I'll add my name to the list. No sound for me either on a new Dell Vostro 1500. It's funny. I had sound on the same machine with Feisty. Sound card is not found in Gutsy.

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
        Subsystem: Dell Unknown device 0228
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 20
        Region 0: Memory at febfc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>

Tjl (lukka) wrote :

I'll confirm: using kernel 2.6.22-14.46 and modules 2.6.22-14.37: no sound on a new Dell Precision 4300. It is not detected at all as a sound device: asoundconf list shows nothing.

lspci:
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

The following is found in /var/log/messages:
Oct 16 12:50:29 zen1 kernel: [ 13.876000] hda_intel: azx_get_response timeout, switching to polling mode...
Oct 16 12:50:29 zen1 kernel: [ 18.464000] hda_codec: No auto-config is available, default to model=ref
Oct 16 12:50:29 zen1 kernel: [ 25.648000] ACPI: PCI interrupt for device 0000:00:1b.0 disabled

orbitcowboy (orbitcowboy) wrote :

Hey @all,

 Thanks to the post of--> Roger E Critchlow Jr wrote on 2007-10-07: (permalink)..

My sound works fine with Gusty on my new Dell Latitude D630 and Kernel 2.6.22.14-generic

uname -a:
 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

Regards

orbitcowboy

Tim Gardner (timg-tpi) wrote :

Try installing linux-backports-modules-2.6.22-14. It contains ALSA 1.0.15rc3.

Charles E. Boston (ebozzz) wrote :

I am fairly sure that I have the linux-backports-modules-2.6.22-14 installed on my laptop but still no sound. Backports are enabled in my software preferences.

I installed backports modules (I was also sure I had it installed), then I discovered the sound was very low. I went into the volume mixer, displayed all channels and pushed "Front" at maximum. The sound is still very low and pushing "General" and "PCM" at maximum doesn't help much more.

Tjl (lukka) wrote :

I installed the backports module - everything seems to work perfectly now without any further actions on my Dell Precision 4300!

Thanks!

Do you think this will go to the mainline soon? Not having sound is surprisingly annoying.

    Tuomas

Kris Lowet (krislowet) wrote :

Hi all,

Same problem here with the Intel Corporation 82801H (ICH8 Family) HD Audio Controller. I'm using a HP pavilion dv9540eb.
Ho do you install that backports module?

Thanks,
Kris

Tjl (lukka) wrote :

Just add the backports checkbox to the updates tab when selecting repositories in synaptic package manager. Then refresh the package list and install linux-backports-modules

I guess it's unsupported &c, but having sound is cool.

    Tuomas

Charles E. Boston (ebozzz) wrote :

Alright, I've got sound now but very little volume on the laptop, Dell Vostro 1500, itself. If I plug in headphones/speakers into the jack, it's better but i still don't the volume that I should get.... Any ideas on how to get more?

Charles E. Boston (ebozzz) wrote :

One more thing. The sound quality is good but just not very loud. I can imagine some situation where I may need a little more punch....

Go into the Gnome mixer properties, enable the Front channel and raise its level.

Charles E. Boston (ebozzz) wrote :

Thank you Sir! That worked nicely. James Brown thanks you also...... :^)

Nick B. (futurepilot) wrote :

Yes, sound is working with linux-backports-modules-generic!

smolloy (sdmolloy) wrote :

I can also confirm the fix posted by Roger E Critchlow Jr. (Good work mate!)

I moved the old snd-hda-intel folder out of the way, untarred and built the module from the link, rebooted, and *BINGO* was greeted with the Ubuntu welcome sound. No other configuration needed.

My headphone output and embedded mic input are also working now.

This is on my HP Pavilion dv6000, on a (almost) fresh installation of Ubuntu 7.10.

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

Kris Lowet (krislowet) wrote :

I have also sound now! Thanks Roger E Critchlow Jr.!

Kris

Wulong (thewulong) wrote :

I have the same problem, no sound at all on a fresh Kubuntu install. I think this should be fixed right away since I use a package distro and don't tend to mess up my system with installing from source.

2.6.22-14-generic

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
        Subsystem: COMPAL Electronics Inc Unknown device 0023
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 23
        Region 0: Memory at f8500000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>

Changed in linux-source-2.6.22:
status: Triaged → Confirmed
Wulong (thewulong) wrote :

I just installed linux-backports-modules-2.6.22-14-generic and
rebooted my system, but there is still no sound. So this fix does not
affect my system. What should I do?

On 10/24/07, Tim Gardner <email address hidden> wrote:
> ** Changed in: linux-backports-modules-2.6.22 (Ubuntu)
> Sourcepackagename: None => linux-backports-modules-2.6.22
> Status: Confirmed => Fix Released
>
> --
> Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03) - no sound
> https://bugs.launchpad.net/bugs/130559
> You received this bug notification because you are a direct subscriber
> of the bug.
>

smyrman (smyrman) wrote :

Same applies for me. I have Intel Corporation 82801H (ICH8 Family) HD
Audio Controller (rev 03) and Kubuntu 7.10 Gutsy Gibbon. The sound
still does not work :-(

2007/10/24, Wulong <email address hidden>:
> I just installed linux-backports-modules-2.6.22-14-generic and
> rebooted my system, but there is still no sound. So this fix does not
> affect my system. What should I do?
>
> On 10/24/07, Tim Gardner <email address hidden> wrote:
> > ** Changed in: linux-backports-modules-2.6.22 (Ubuntu)
> > Sourcepackagename: None => linux-backports-modules-2.6.22
> > Status: Confirmed => Fix Released
> >
> > --
> > Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03) - no sound
> > https://bugs.launchpad.net/bugs/130559
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
> --
> Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03) - no sound
> https://bugs.launchpad.net/bugs/130559
> You received this bug notification because you are a direct subscriber
> of the bug.
>

trellis (martinmckenna) wrote :

 i can confirm that i still have this bug on hp dv2000 ,

$ lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

Ive installed the backports did have sound intermittently for a while ,but now nothing .

bytor4232 (arthur-jfmi) wrote :

I can confirm this bug on a new Acer Aspire 5315.

jmike72 (miguel-jmroque) wrote :

Same problem here with a Asus F3SA laptop. Several configurations tried and nothing, no sound on Ubuntu Gutsy!

Try adding the following to the end of /etc/modprobe.d/alsa-base

options snd-hda-intel model=acer

Then reboot.

smyrman (smyrman) wrote :

IT WORKS:

I got a Zepto 6625WD Computer.
I got a rev3. of the sound card.

Following the advice of bytor4232 (having the linux-backports-modules-2.6.22-14-generic installed), my computer now plays sound in Kubuntu GNU/Linux!!! (though my model is not acer). ITS FANTASTIC. Worth to mention though, I can not mute the speakers without also muting the headphones, or wise versa. they are on the same channel now (Master). Said with other words, plugging in the headphones, does not make the speakers mute.
"
Try adding the following to the end of /etc/modprobe.d/alsa-base

options snd-hda-intel model=acer

Then reboot.
"

Setting
"options snd-hda-intel model=zepto"
gives me nothing.

Wulong (thewulong) wrote :

Works here too!

I have a Compal IFT00 with a rev3 sound card.
I did:

sudo echo "options snd-hda-intel model=acer" >> /etc/modprobe.d/alsa-base

..and rebooted. Make sure you have the backports package installed, didn't work last time I tested this without the package.

Wulong (thewulong) wrote :

Does headphones works for you guyes? my sound is working but when I plug in my headset I get sound on laptop speakers and headphones. Can't seem to find a option for this in kmix.

coolbomb (daniel-rodrig) wrote :

I can confirm post by smolloy and Roger E Critchlow Jr.

In a HP dv6665.

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
        Subsystem: Hewlett-Packard Company Unknown device 30cc
        Flags: bus master, fast devsel, latency 0, IRQ 23
        Memory at f8400000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
        Capabilities: [70] Express Unknown type IRQ 0
        Capabilities: [100] Virtual Channel
        Capabilities: [130] Unknown (5)

Look for Roger, early comment for details.

Works without options... Tested with headphones, speakers... clear and loud sound. Everything!

bytor4232 (arthur-jfmi) wrote :

In reply to Wulong's inquiry about headphones, yes, my speakers do in fact cut out when I plug in the front headphone jack, and sound does come out of the headphones. In other words, my front headphone jack is behaving itself properly. What you may want to check out is if your mixer has separate channels for the headphone jack.

I'm on an Acer Aspire 5315.

Alan Downing (alasseo) wrote :

On my Acer Aspire 5720Z, Roger's fix does *not* work. I followed his instructions exactly and I still have no sound. I have the ALSA mixer selected, nothing muted, volume all the way up. Any suggestions would be appreciated.

Erik (espigle) wrote :

The linux-backports-modules got me sound on my fresh install of Gutsy on a Dell Latitude D630, but sound mixing is all fouled up. When I got to mess with volume levels (whether the buttons on the laptop or the volume control panel), the volume will start out at the level I set it for, then it will slowly get louder and louder until it is maxed out. It's almost like one of these hardware volume buttons is stuck, but it's not. It's very strange because there is a delay before it decides it's time to start cranking the volume up (and it's very slow and gradual). I have tried this with a couple different audio programs and the results are the same. You don't see the audio slider bars or controls going up, you just hear the volume getting louder and louder until it maxes out.

Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

rrranch (rrranch) wrote :

I have an hp pavilion dv9500 with the same audio problem. I have been using gutsy since tribe 1. Hoping for a resolution to this ongoing problem. Evidently their is a bug in the kernel. The kernel developers have been aware of it for some time and it has been resolved. If you upgrade to the latest stable version 2.6.23.1 and I believe you need to upgrade alsa to latest version 1.015 also. Or you can download Fedora 8 live version to check it out on your hardware. Live cd works flawlessly on my machine. Compiz cube, wireless and sound out of the box. Ubuntu developers just need to make these upgrades.

maku520 (maku520) wrote :

A work around for the problem of the internal speakers not being muted when plugging in headphones:
System: Dell Vostro 1500, Ubuntu Fiesty, kernel v. 2.6.22-12-386, `lspci -v |grep -i audio` ="00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)"
1. Plug your headphones into the *microphone* jack.
2. Open the gnome volume control panel (right-click on the sound icon by the clock, click 'Open Volume Control')
3. Click the 'Switches' tab, check the box 'Line In as Output'.
4. Click the 'Playback' tab, mute the 'Front' channel. Use the 'Surround' channel to change the volume for your headphones (or the volume control in the program you're using).
5. Optionally, you can right-click on the sound icon by the clock, click 'Preferences', and click 'Surround' to change which channel the sound icon is reporting.
The only problem I have with my laptop (Dell Vostro 1500) is that the volume buttons on the front of it still are bound to the 'Front' channel. I'm sure it would take just a few key bindings to get those buttons working, but I use my speakers more often than headphones on my laptop so I haven't tried it yet.

Almacha (almacha) wrote :

I managed to get working this card on an ASUS F3SA on Debian Lenny (kernel 2.6.22)
by adding the line :
options snd-hda-intel model=lenovo
to /etc/modprobe.d/alsa-base

toky (toky-gian) wrote :

thanks! to Almacha and all others now I get the sound working on an asus x53s , 2.6.22-14-generic
 82801H (ICH8 Family) HD Audio Controller
on a fresh install (third time I reinstall...) gutsy
added the linux-backports-modules-2.6.22-14-generic and added options snd-hda-intel model=lenovo
to /etc/modprobe.d/alsa-base
eadphone works
mic works

NiceInVT (pasternak) wrote :
Download full text (4.2 KiB)

Greetings, All:

Trying to get this card to work on a Dell Inspiron 1720. When I followed Critchlow's steps, I get this

(1) ./configure : works OK
(2) sudo make : works first, then bonks out the following:

<<<<<<<
make[2]: Entering directory `/home/apastern/alsa-driver-1.0.15rc3/misc'
make[2]: Leaving directory `/home/apastern/alsa-driver-1.0.15rc3/misc'
make[1]: Leaving directory `/home/apastern/alsa-driver-1.0.15rc3'
make -C /lib/modules/2.6.22-14-generic/build SUBDIRS=/home/apastern/alsa-driver-1.0.15rc3 CPP="gcc -E" CC="gcc" modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.22-14-generic'
  CC [M] /home/apastern/alsa-driver-1.0.15rc3/acore/pcm_misc.o
In file included from /home/apastern/alsa-driver-1.0.15rc3/acore/pcm_misc.c:2:
/home/apastern/alsa-driver-1.0.15rc3/acore/../alsa-kernel/core/pcm_misc.c: In function ‘snd_pcm_limit_hw_rates’:
/home/apastern/alsa-driver-1.0.15rc3/acore/../alsa-kernel/core/pcm_misc.c:437: error: ‘snd_pcm_known_rates’ undeclared (first use in this function)
/home/apastern/alsa-driver-1.0.15rc3/acore/../alsa-kernel/core/pcm_misc.c:437: error: (Each undeclared identifier is reported only once
/home/apastern/alsa-driver-1.0.15rc3/acore/../alsa-kernel/core/pcm_misc.c:437: error: for each function it appears in.)
/home/apastern/alsa-driver-1.0.15rc3/acore/../alsa-kernel/core/pcm_misc.c: In function ‘snd_pcm_rate_to_rate_bit’:
/home/apastern/alsa-driver-1.0.15rc3/acore/../alsa-kernel/core/pcm_misc.c:465: error: ‘snd_pcm_known_rates’ undeclared (first use in this function)
make[3]: *** [/home/apastern/alsa-driver-1.0.15rc3/acore/pcm_misc.o] Error 1
make[2]: *** [/home/apastern/alsa-driver-1.0.15rc3/acore] Error 2
make[1]: *** [_module_/home/apastern/alsa-driver-1.0.15rc3] Error 2
make[1]: Leaving directory `/make[2]: Entering directory `/home/apastern/alsa-driver-1.0.15rc3/misc'
make[2]: Leaving directory `/home/apastern/alsa-driver-1.0.15rc3/misc'
make[1]: Leaving directory `/home/apastern/alsa-driver-1.0.15rc3'
make -C /lib/modules/2.6.22-14-generic/build SUBDIRS=/home/apastern/alsa-driver-1.0.15rc3 CPP="gcc -E" CC="gcc" modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.22-14-generic'
  CC [M] /home/apastern/alsa-driver-1.0.15rc3/acore/pcm_misc.o
In file included from /home/apastern/alsa-driver-1.0.15rc3/acore/pcm_misc.c:2:
/home/apastern/alsa-driver-1.0.15rc3/acore/../alsa-kernel/core/pcm_misc.c: In function ‘snd_pcm_limit_hw_rates’:
/home/apastern/alsa-driver-1.0.15rc3/acore/../alsa-kernel/core/pcm_misc.c:437: error: ‘snd_pcm_known_rates’ undeclared (first use in this function)
/home/apastern/alsa-driver-1.0.15rc3/acore/../alsa-kernel/core/pcm_misc.c:437: error: (Each undeclared identifier is reported only once
/home/apastern/alsa-driver-1.0.15rc3/acore/../alsa-kernel/core/pcm_misc.c:437: error: for each function it appears in.)
/home/apastern/alsa-driver-1.0.15rc3/acore/../alsa-kernel/core/pcm_misc.c: In function ‘snd_pcm_rate_to_rate_bit’:
/home/apastern/alsa-driver-1.0.15rc3/acore/../alsa-kernel/core/pcm_misc.c:465: error: ‘snd_pcm_known_rates’ undeclared (first use in this function)
make[3]: *** [/home/apastern/alsa-driver-1.0.15rc3/acore/pcm_misc.o] Error 1
m...

Read more...

elyk (elyk53) wrote :

Do you have linux-headers-generic installed?

Kris Lowet (krislowet) wrote :

Thanks for your answar.
Yes I have, version 2.6.22.14.21

Kris

NiceInVT (pasternak) wrote :

Yes I have: linux-headers-generic 2.6.22-14.21
                   linux-headers-2.6.22-14-generic 2.6.22-14.46
                   linux-headers-2.6.22-14 2.6.22-14.46

This is all according to Synaptics.

joshd (joshuadruley) wrote :

I would like to confirm that just installing the latest linux-backports-modules package in Synaptic corrects the issue for me.

Ubuntu 7.10 running on HP Pavillion dv6000
Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

No further action was needed on my part. For the many others that I assume have this issue (Thinkpad x/t61, Acer notebooks, HP Pavillions), is it possible that this a package could automatically be installed if this hardware is detected?

NiceInVT (pasternak) wrote :

After playing around with this for a month, I finally reinstalled the latest version of Ubuntu on my Dell Inspiron 1720.

After that, with the FRESH install (and I stress fresh) ... I installed the linux-backports-modules package in Synaptics. After a restart, sound works! Run alsamixer to pump up the sound levels and I was good to go. DVD's play fine also with a codec update which was automatically detected for my system.

This is to confirm: On a Dell Inspiron 1720 with this Intel 8280H (ICH8) --- sound now works OK after installing the linux-backports-modules package.

Current limitations: (1) seems sound levels aren't stable; switching between different apps resets the sound levels (2) headphone jack does not mute main speakers when in use

joshd (joshuadruley) wrote :

I would like to add some detail to my post on the 26th.

Ubuntu 7.10 running on HP Pavillion dv6000
Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

My laptop has two front headphone jacks and one front microphone jack.
There is also a very unusual set of LED volume controls just above the keyboard that are supposed to control volume up/down and volume mute. (There are also CD controls, etc.)

1. I tested playing a CD with nothing plugged in to the front ports.
   a. The volume control applet dropdown volume control properly controls the main speaker output during playback.
   b. The Sound Juicer CD player app's volume control is also able to control the main speaker output.
   c. Suprisingly, the LED volume controls also ALL work -- there is a "mute" control, a volume down control, a volume up control, and a volume "slider".
   d. One strange thing I noticed is that the fully-opened volume control does not list the main speakers as a device that can be controlled.
2. Next, I plugged in one set of headphones.
   a. The main speaker muted, and the headphones had audio.
   b. The volume control applet did not show that the main speaker volume was muted.
   c. The fully-opened volume applet is able to properly control the headphone volume.
   d. Both the LED volume controls and the main volume applet volume control will un-mute the main speaker and control its volume. These controls do not change the headphone volume.
3. Next, I plugged in a second set of headphones - While the main speaker was still muted from plugging in the first set of headphones.
   a. The volume in the first set of headphones decreased slightly
   b. The fully-opened volume applet still controls the headphones correctly.
   c. The LEDs and volume applet main volume control both control the main speakers correctly as above.
4. Next, I un-plugged the headphones
   a. The main volume was automatically un-muted.

NOTES:
1. If I un-mute the main volume while one set of headphones are plugged in, plugging in a second set of headphones does not automatically mute the main volume. I think this is acceptable.
2. The fully-opened volume applet shows four devices: Headphone, PCM, Front Mic Boost, Line In Boost. The main speakers are not shown, but can be controlled by the dropdown slider from the applet. My laptop does not have an external line-in port (though perhaps the chipset supports it?).
3. I haven't been able to confirm that the microphone jack works. I tried recording in Jokosher and Sound Recorder, and neither seemed to record audio from my microphone.
4. There still may be other similar hardware configurations with sound issues, mine works as I described above.

Bossieman (leifsandvik) wrote :

Can confirm no sound on Zepto Znote 6224W - soundcard is 00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03). Sound works after compilling new ALSA from source but build in microfon terrible quality, external mic better but not good.
No sound at all in HH alpha 2

Changed in linux-source-2.6.22:
status: New → Invalid
swoshhh (sagrosi) wrote :

With "Acer Aspire 7720 G" : 00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
installed linux modules backports, edited /etc/modprobe.d/alsa-base, but audio still don't works...

finifly (fini-fly) wrote :

I can confirm no sound on a new Lenovo Y410 with a fresh Kubuntu Gusty install with:

uname -a
2.6.22-14-generic #1 SMP i686 GNU/Linux

lspci | grep -i audio:
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

Installing the backports did not enable sound. Adding options snd-intel-hda model=lenovo did not enable sound. Tried to compile ALSA 1.0.15 but I'm getting C-compiler errors. Linux headers-generic are installed.

Landon Cheek (lcheek) wrote :

finifly, try using model=benq. This worked on my Lenovo Y410, and I now have sound from the main speakers. However, I do not yet have sound enabled for the headphones, and the microphones do not work either.

It is better than having no sound whatsoever though.

uname -a
2.6.22-14-generic #1 SMP i686 GNU/Linux

lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

Ok.... same problem with my notebook Asus X53S (m/b version F3SA)... no sound at all !

$lspci
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

$ cat /proc/asound/card0/codec#* | grep Codec
Codec: Realtek ALC660-VD
Codec: Motorola Si3054

$ sudo lshw -C sound
  *-multimedia
       description: Audio device
       product: 82801H (ICH8 Family) HD Audio Controller
       vendor: Intel Corporation
       physical id: 1b
       bus info: pci@0000:00:1b.0
       version: 03
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: driver=HDA Intel latency=0 module=snd_hda_intel

...I've followed instructions at link:
https://help.ubuntu.com/community/HdaIntelSoundHowto

and after a bit, I tried setting:
options snd-hda-intel model=lenovo 'according to http://www.mjmwired.net/kernel/Documentation/sound/alsa/ALSA-Configuration.txt N.B. at snd_hda_intel ALC660-VD codec we don't find asus model... but trying 'lenovo' ...sound work ! :-)

bye

aenesias (aenesias) wrote :

i had same in my pavilion dv 6000 installed linux modules backports after that i can hear sounds from the operating system however i still cant hear music files anybody have a solution pls help

sibidiba (sibidiba) wrote :

On a thinkpad R61, with the same board, running Hardy with kernel 2.6.24-12-generic sound works fine. But the built-in mic doesn't.

smyrman (smyrman) wrote :

Analog sound now works 100% out of the box in Kubuntu 8.04 Alpha 5 with
kernel 2.6.24-10 and later,
PC Model: Zepto Zenote 6625WD.

Muteing, mic and headphones seams to work perfectly.

Digital sound output not tested.

2008/3/15, Gabor CZIGOLA <email address hidden>:
>
> On a thinkpad R61, with the same board, running Hardy with kernel
> 2.6.24-12-generic sound works fine. But the built-in mic doesn't.
>
>
> --
> Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03) - no
> sound
> https://bugs.launchpad.net/bugs/130559
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Patrick (ccz) wrote :
Download full text (4.8 KiB)

I have the same problem with my ACER ASPIRE 8920G.
I did everything : installation linux-backport-modules, changes in alsa files....reboot, but same problem : no sound at all : on headphones nor on speakers.....nothing at all ! ;-(
I am on Hardy 8.04 beta with x64.
Here are some data who can be useful for you to solve this bug (concerning essentially Acer laptop it sounds, according to what i saw before...) :

_______________________________________________________

patrick@patrick-laptop2:~$ uname -a
Linux patrick-laptop2 2.6.24-16-generic #1 SMP Thu Apr 10 12:47:45 UTC 2008 x86_64 GNU/Linux

patrick@patrick-laptop2:~$ lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

patrick@patrick-laptop2:~$ cat /etc/modprobe.d/alsa-base
# autoloader aliases
install sound-slot-0 /sbin/modprobe snd-card-0
install sound-slot-1 /sbin/modprobe snd-card-1
install sound-slot-2 /sbin/modprobe snd-card-2
install sound-slot-3 /sbin/modprobe snd-card-3
install sound-slot-4 /sbin/modprobe snd-card-4
install sound-slot-5 /sbin/modprobe snd-card-5
install sound-slot-6 /sbin/modprobe snd-card-6
install sound-slot-7 /sbin/modprobe snd-card-7

# Cause optional modules to be loaded above generic modules
install snd /sbin/modprobe --ignore-install snd && { /sbin/modprobe --quiet snd-ioctl32 ; : ; }
install snd-pcm /sbin/modprobe --ignore-install snd-pcm && { /sbin/modprobe --quiet snd-pcm-oss ; : ; }
install snd-mixer /sbin/modprobe --ignore-install snd-mixer && { /sbin/modprobe --quiet snd-mixer-oss ; : ; }
install snd-seq /sbin/modprobe --ignore-install snd-seq && { /sbin/modprobe --quiet snd-seq-midi ; /sbin/modprobe --quiet snd-seq-oss ; : ; }
install snd-rawmidi /sbin/modprobe --ignore-install snd-rawmidi && { /sbin/modprobe --quiet snd-seq-midi ; : ; }
# Cause optional modules to be loaded above sound card driver modules
install snd-emu10k1 /sbin/modprobe --ignore-install snd-emu10k1 $CMDLINE_OPTS && { /sbin/modprobe -Qb snd-emu10k1-synth ; }
install snd-via82xx /sbin/modprobe --ignore-install snd-via82xx $CMDLINE_OPTS && { /sbin/modprobe -Qb snd-seq ; }

# Load saa7134-alsa instead of saa7134 (which gets dragged in by it anyway)
install saa7134 /sbin/modprobe --ignore-install saa7134 $CMDLINE_OPTS && { /sbin/modprobe -Qb saa7134-alsa ; : ; }

# Load snd-seq for devices that don't have hardware midi;
# Ubuntu #26283, #43682, #56005; works around Ubuntu #34831 for
# non-Creative Labs PCI hardware
install snd /sbin/modprobe --ignore-install snd && { /sbin/modprobe -Qb snd-seq ; }
# Prevent abnormal drivers from grabbing index 0
options bt87x index=-2
options cx88_alsa index=-2
options saa7134-alsa index=-2
options snd-atiixp-modem index=-2
options snd-intel8x0m index=-2
options snd-via82xx-modem index=-2
options snd-usb-audio index=-2
options snd-usb-usx2y index=-2
options snd-usb-caiaq index=-2
# Ubuntu #62691, enable MPU for snd-cmipci
options snd-cmipci mpu_port=0x330 fm_port=0x388
options snd-hda-intel model=acer

patrick@patrick-laptop2:~$ cat /proc/asound/card0/codec#* | grep Codec
Codec: Realtek ALC889
Codec: Generic 11c1 ID 1040

patrick@patrick-laptop2:~$ ls /dev/snd
controlC0 hwC0D0 hwC...

Read more...

Patrick (ccz) wrote :

Again Patrick...

I also noticed one thing : snd-hda-intel , as a module, ISN'T existing on 2.6.24-16-generic x86_64 GNU/Linux

May be it's THE PROBLEM ????

So I also tried the way to download the last driver, e.g. alsa-driver-1.0.16rc2.tar.bz2 here : ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.16rc2.tar.bz2 (last release i found) Then i extracted it, compiled it and installed it.... No improvements (i checked again everything with alsamixer, sound properties, and so on...). No errors also during the reboot. The sound still is definitively silent..... ;-(((

So, what to do now ?

Patrick.

muriel (muriel-bowie) wrote :

I got the exact same issue as Patrick, running Ubuntu 8.04 with 2.6.24-16-generic on an Acer Aspire 2920. I had sound working before upgrading to 2.6.25-16-generic, I thus agree with Patrick that the problem might be cause by the missing module in the kernel.

Any suggestions would really be appreciated.
Muriel

joshd (joshuadruley) wrote :

I just upgraded to Ubuntu 8.04, and discovered my sound no longer worked. I installed linux-backports-modules-2.6.24-16.14 to try to fix it, but I am not sure that I needed to. It looks like I just needed to re-adjust the volume settings in Kmix (they must have been re-defaulted when I upgraded to 8.04). Sound is working again :)

Coert (info-coert) wrote :

Not here. After upgrading to Hardy sound died for my AD1988 card. The alsa snd-intel-hda will not load, Intel-chip remains 'UNCLAIMED' according to lshw. Upgraded to latest alsa (1.0.16) compiled/installed without errors, but no sound.

dmesg reports:
[ 37.353220] ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 22
[ 37.353227] PCI: Unable to reserve mem region #1:4000@febf8000 for device 0000:00:1b.0
[ 37.353231] ACPI: PCI interrupt for device 0000:00:1b.0 disabled
[ 37.353238] HDA Intel: probe of 0000:00:1b.0 failed with error -16

Mercer Rivière (vincentuq) wrote :

Hello, I have a Dell Inspiron and sound does not work on Hardy (upgraded from Gutsy). It simply does not work.
# aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: STAC92xx Digital [STAC92xx Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
        Subsystem: Dell Unknown device 01f1
        Flags: bus master, fast devsel, latency 0, IRQ 20
        Memory at febfc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
        Capabilities: [70] Express Unknown type IRQ 0

alsamixer is not muted.

jlpino (jlpino) wrote :

Hello I have a hp 6820s with the "Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)".

When I updated from Ubuntu 8.04 to 8.10 sound works, but some days later it crashed. I try anything (change volume, use pulseaudio, use oss, etc...) but I fix it installing kmix (yes, in gnome) and it shows volume muted. I turn the volume up and it works!

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Sindre Røkenes

Sindre Røkenes Myren
Graduate Software Engineer at ARM
Trondheim Area, Norway

Confirm that you know Sindre Røkenes Myren:
https://www.linkedin.com/e/-sw23l7-h51c4el8-2y/isd/7979593410/_yFyLBkp/?hs=false&tok=0VvQbumVE5Blk1

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/-sw23l7-h51c4el8-2y/vI-iLYNAj2SG_BsPqcPPtARAatY6ztBeQ8NM606/goo/130559%40bugs%2Elaunchpad%2Enet/20061/I2692362764_1/?hs=false&tok=2A4a2q_8s5Blk1

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.